namespace PCUT.Extensions
{
    public static class BindExtensions
    {
        public static bool And(bool condition1, bool condition2)
        {
            return condition1 && condition2;
        }

        public static bool Or(bool condition1, bool condition2)
        {
            return condition1 || condition2;
        }

        public static bool NotAnd(bool condition1, bool condition2)
        {
            return !(condition1 && condition2);
        }

        public static bool NotOr(bool condition1, bool condition2)
        {
            return !(condition1 || condition2);
        }

        public static bool AlternateAnd(bool condition1, bool condition2)
        {
            return condition1 && !condition2;
        }

        public static bool AlternateOr(bool condition1, bool condition2)
        {
            return condition1 || !condition2;
        }
    }
}
